import javax.xml.transform.*;
import java.net.*;
import java.io.*;
import org.apache.batik.transcoder.image.JPEGTranscoder;
import org.apache.batik.transcoder.image.PNGTranscoder;
import org.apache.batik.transcoder.TranscoderInput;
import org.apache.batik.transcoder.TranscoderOutput;

public class SVG2IMG
{
	public static void main(String[] args)
	{
	}
	


  public void doSVG2JPEGConvert(String svgfilename, String imgName)
  {
	  try
	  {
		  System.out.println("svgfilename "+svgfilename);
		  System.out.println("imgName "+imgName);
		  JPEGTranscoder transcoder = new JPEGTranscoder();


		  transcoder.addTranscodingHint(JPEGTranscoder.KEY_QUALITY,new Float(1.0));

		  TranscoderInput input = new TranscoderInput(new FileInputStream(svgfilename));
		  OutputStream ostream = new FileOutputStream(imgName);
		  TranscoderOutput output = new TranscoderOutput(ostream);

		  transcoder.transcode(input, output);
		  ostream.close();
	  }
	  catch(Exception ex)
	  {
		  ex.printStackTrace();
	  }
  }

  public void doSVG2PNGConvert(String svgfilename, String imgName)
  {
	  try
	  {
		  System.out.println("svgfilename "+svgfilename);
		  System.out.println("imgName "+imgName);
		  PNGTranscoder transcoder = new PNGTranscoder();


		  //transcoder.addTranscodingHint(JPEGTranscoder.KEY_QUALITY,new Float(1.0));

		  TranscoderInput input = new TranscoderInput(new FileInputStream(svgfilename));
		  OutputStream ostream = new FileOutputStream(imgName);
		  TranscoderOutput output = new TranscoderOutput(ostream);

		  transcoder.transcode(input, output);
		  ostream.close();
	  }
	  catch(Exception ex)
	  {
		  ex.printStackTrace();
	  }
  }


}// end of class
