<xsl:template match="wp:inline|wp:anchor">
    <xsl:variable name="pictureData" select="./a:graphic/a:graphicData/pic:pic/pic:blipFill"/>
    <xsl:variable name="picSize" select="./wp:extent"/>
    <xsl:variable name="picLink" select="./wp:docPr/a:hlinkClick"/>
    <xsl:variable name="linkDataNode" select="./a:graphic/a:graphicData/pic:pic/pic:blipFill/a:blip"/>
    <xsl:if test="ancestor::w:ftr">
        <xsl:copy-of select="java:org.docx4j.model.images.WordXmlPicture.createHtmlImgE20( $wmlPackage, string($imageDirPath),
            $pictureData, $picSize, $picLink, $linkDataNode,'DF')" />
    </xsl:if>
    <xsl:if test="ancestor::w:hdr">
        <xsl:copy-of select="java:org.docx4j.model.images.WordXmlPicture.createHtmlImgE20( $wmlPackage, string($imageDirPath),
            $pictureData, $picSize, $picLink, $linkDataNode,'DH')" />
    </xsl:if>
    <xsl:if test="ancestor::w:body">
        <xsl:copy-of select="java:org.docx4j.model.images.WordXmlPicture.createHtmlImgE20( $wmlPackage, string($imageDirPath),
            $pictureData, $picSize, $picLink, $linkDataNode,'BODY')" />
    </xsl:if>
</xsl:template>
